package cn.kdan.cloud.pdf.office.common.enums;

public enum ParentProductCodeEnum {
    /**
     * 高级版年订阅
     */
    ADVANCED_ANNUAL_SUBSCRIPTION("advancedAnnualSubscription", "高级版年订阅"),
    /**
     * 标准版年订阅
     */
    STANDARD_ANNUAL_SUBSCRIPTION("standardAnnualSubscription", "标准版年订阅"),
    /**
     * 高级版永久
     */
    ADVANCED_PERMANENT("advancedPermanent", "高级版永久"),
    /**
     * 半年订阅
     */
    ADVANCED_SEMI_ANNUAL_SUBSCRIPTION("advancedSemiAnnualSubscription", "高级版6个月订阅"),

    ;

    private final String code;
    private final String description;

    ParentProductCodeEnum(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    public static ParentProductCodeEnum fromCode(String code) {
        for (ParentProductCodeEnum action : ParentProductCodeEnum.values()) {
            if (action.code == code) {
                return action;
            }
        }
        throw new IllegalArgumentException("No action found for code: " + code);
    }

}
